Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class AtomicInstrument

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.AtomContainer
                        |
                        +--quicktime.std.music.AtomicInstrument

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickTimeVRLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class AtomicInstrument
extends AtomContainer
implements quicktime.jdirect.QuickTimeLib

Corresponds to the AtomicInstrument type and its accompanying calls

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QuickTimeVRLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`AtomicInstrument()` Create a new disposable and empty AtomContainer.

Method Summary
`NoteChannel` | `newNoteChannel(int flags)` Make a new note channel for an atomic instrument.
`NoteChannel` | `newNoteChannel(NoteAllocator na, int flags)` Make a new note channel for an atomic instrument.
`void` | `pickEditInstrument(NoteAllocator na, java.lang.String prompt, int flags)` Presents a user interface for modifying the AtomicInstrument.

Methods inherited from class quicktime.std.movies.AtomContainer
`copyAtom, copyAtomDataToArray, copyAtomDataToHandle, copyAtomDataToPtr, countChildrenOfType, findChildByID_Atom, findChildByID_index, findChildByIndex_Atom, findChildByIndex_id, fromCompressionDialog, fromGraphicsExporter, fromGraphicsExporterCompressor, fromGraphicsExporterMIME, fromGraphicsImporterExportImage, fromGraphicsImporterExportSettings, fromGraphicsImporterMIME, fromMediaInput, fromMediaProperty, fromMovieExporter, fromMovieImporterMIME, fromMovieImporterSettings, fromQTHandle, fromQTVRInstanceNode, fromQTVRInstanceWorld, fromThreeDMediaHandlerObject, fromThreeDMediaHandlerRenderer, getAtomData, getAtomDataSize, getAtomID, getAtomType, getNextChildType, getParent, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChild, insertChildren, iTextAddString, iTextGetString, iTextRemoveString, nextChildAnyType, removeAtom, removeChildren, replaceAtom, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomData, setAtomID, swapAtoms`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomicInstrument

    public AtomicInstrument()
                     throws QTException

  Create a new disposable and empty AtomContainer. Once the application has filled in the container with the appropriate music data the AtomicInstrument can be used. It is the application's responsibility to fill in this data appropriately using the methods of the AtomContainer super class.
  QuickTime::QTNewAtomContainer

  Method Detail

  ### pickEditInstrument

      public void pickEditInstrument(NoteAllocator na,
                                     java.lang.String prompt,
                                     int flags)
                              throws StdQTException

    Presents a user interface for modifying the AtomicInstrument.
    QuickTime::NAPickEditInstrument
  Parameters:
    `na` - an open Note Allocator component.
    `prompt` - Dialog box prompt "New Instrument..."
    `flags` - flags to limit user options, use zero for default.

### newNoteChannel

    public NoteChannel newNoteChannel(int flags)
                               throws QTException

  Make a new note channel for an atomic instrument.
  QuickTime::NANewNoteChannelFromAtomicInstrument

  Parameters:
    `na` - an open Note Allocator component.
    `flags` - specify details of the new note channel
  Returns:
    a new note channel.

### newNoteChannel

    public NoteChannel newNoteChannel(NoteAllocator na,
                                      int flags)
                               throws StdQTException

  Make a new note channel for an atomic instrument.
  QuickTime::NANewNoteChannelFromAtomicInstrument

  Parameters:
    `na` - an open Note Allocator component.
    `flags` - specify details of the new note channel
  Returns:
    a new note channel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD